<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="Bibliotecas/Style.css"> <!--CSS propio-->
    <link rel="stylesheet" href="Bibliotecas/flexboxgrid.min.css"> <!-- Flexbox -->
    <link rel="stylesheet" href="Bibliotecas/bootstrap.min.css"> <!-- Bootstrap -->
    <!--Flickitys CDN (Carousel)-->
    <link rel="stylesheet" href="https://unpkg.com/flickity@2/dist/flickity.min.css">
    <title>RolTime</title>
    
    
</head>
<body>
    <header class="row"> <!--Comienzo Header-->
        <div class="col-xs">
          <div class="header margen">
            <!--Cajas redes sociales-->

              <div class="row">
                <div class="col-xs-1 col-sm-8 ">
                  <div class="Vacio">
                    
                  </div>
                </div>
                <nav class="navbar navbar-expand-lg navbar-light bg-danger fixed-top ">
                  <a class="navbar-brand" href="CatsAndDungeons.html">
                      <img src="imagenes/Rojito.png" alt="Logo Mis perris" loading="lazy"  width="120" height="80">
                  </a>
                  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                  </button>
                  <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <div class="navbar-nav">
                      <a class="nav-link" href="https://twitter.com/GorditosGatitos">Twitter</a>
                      <a class="nav-link" href="https://www.instagram.com/gatitosdepresion/">Instagram</a>
                      <a class="nav-link" href="https://www.youtube.com/channel/UCwcsDWGip6vtiZyCnvDoClQ">Youtube</a>
                      <h3> /ᐠ｡ꞈ｡ᐟ\ & 🐲</h3>
                    </div>
                  </div>
                </nav>
            <!-- Terminan redes sociales -->
      </header><!--Final Header-->
      <br><br><br><br>
      
      <div class="Container"><!--Container-->
        <div class="col-12 row ">
          <div class=" carrusel col-xs-12 col-md-4">
            <h3 class="Jugador1">Player 1</h3> 
            <hr>
            <div class="main-carousel" data-flickity><!--Comienza Carousel-->
              <div class="carousel-cell"><img src="Imagenes/P A T A.JPG" width="250" height="250" > </div>
              <div class="carousel-cell"><img src="Imagenes/DevilCat.jpeg" width="250" height="250" ></div>
              <div class="carousel-cell"><img src="Imagenes/AAAH.jpg" width="250" height="250"  ></div>
              <div class="carousel-cell"><img src="Imagenes/CleriCat.jpeg" width="250" height="250"  ></div>
              
            </div><!--Termina Carousel-->
            <span>Valor #1</span>
            <input type="number" id="txt_campo_1" onchange="sumar(this.value);" />
            <br >
            <span>Valor #2</span>
            <input type="number" id="txt_campo_2" onchange="sumar(this.value);" />
            <br >
            <span>Valor #3</span>
            <input type="number" id="txt_campo_3" onchange="sumar(this.value);" />
            <br>
            <span>El resultado es: </span> <span id="spTotal"></span>

          </div>
          <div class=" carrusel col-xs-12 col-md-4">
            <h3 class="Jugador2">Player 2</h3> 
            <hr>
            <div class="main-carousel" data-flickity><!--Comienza Carousel-->

              <div class="carousel-cell"><img src="Imagenes/P A T A.JPG" width="250" height="250" > </div>
              <div class="carousel-cell"><img src="Imagenes/DevilCat.jpeg" width="250" height="250" ></div>
              <div class="carousel-cell"><img src="Imagenes/AAAH.jpg" width="250" height="250"  ></div>
              <div class="carousel-cell"><img src="Imagenes/CleriCat.jpeg" width="250" height="250"  ></div>
              
            </div><!--Termina Carousel-->
            <span>Valor #1</span>
            <input type="number" id="txt_campo_4" onchange="sumar1(this.value);" />
            <br >
            <span>Valor #2</span>
            <input type="number" id="txt_campo_5" onchange="sumar1(this.value);" />
            <br >
            <span>Valor #3</span>
            <input type="number" id="txt_campo_6" onchange="sumar1(this.value);" />
            <br>
            <span>El resultado es: </span> <span id="spTotal1"></span>


          </div>
          <div class=" carrusel col-xs-12 col-md-4">
            <h3 class="PLayer3">Jugador 3</h3>
            <hr>
            <div class="main-carousel" data-flickity><!--Comienza Carousel-->
              <div class="carousel-cell"><img src="Imagenes/P A T A.JPG" width="250" height="250" > </div>
              <div class="carousel-cell"><img src="Imagenes/DevilCat.jpeg" width="250" height="250" ></div>
              <div class="carousel-cell"><img src="Imagenes/AAAH.jpg" width="250" height="250"  ></div>
              <div class="carousel-cell"><img src="Imagenes/CleriCat.jpeg" width="250" height="250"  ></div>
              
            </div><!--Termina Carousel-->
            <span>Valor #1</span>
            <input type="number" id="txt_campo_7" onchange="sumar2(this.value);" />
            <br >
            <span>Valor #2</span>
            <input type="number" id="txt_campo_8" onchange="sumar2(this.value);" />
            <br >
            <span>Valor #3</span>
            <input type="number" id="txt_campo_9" onchange="sumar2(this.value);" />
            <br>
            <span>El resultado es: </span> <span id="spTotal2"></span>

          </div>
        </div>
        <br>
        <h3>Oprime el boton para lanzar el D20</h3>
        <div class="text-center">
          <button class="btn btn-info btn-sx" type="button" onclick="TirarDado()">
            D20 :3
          </button>
          <br>
	        <h3 id="demo"></h3>
        </div>

        <br>

<!--<button class="h3 Center" onclick="TirarDado()">-->
        
          
    </div><!--TerminaContainer-->
      <!--Flickity, JQuery,Popper, Bootstrap-->
      <footer> <!-- Comienza pie -->

        <nav class="nav bg-danger text-white footer">
          CatsAndDungeons®
          <br>Envienos pescados a: GatosCorreo@Notenemoscorreodeempresa.cl<br><br>

        </nav>
      </footer> <!-- Termina pie -->
    
    <script src="https://unpkg.com/flickity@2/dist/flickity.pkgd.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>    

    <script> //Script carrusel
        $(document).ready(function(){

          $('.main-carousel').flickity({
            // options
            cellAlign: 'left',
            wrapAround: true,
            freeScroll: True
          });

        });

      //Script número aleatorio
      
      function TirarDado(){
        var x = Math.floor((Math.random()*20)+1);
        document.getElementById("demo").innerHTML = x ;
        
      }

    </script>

    <script>
      function sumar(valor){
          var total = 0;	
     
          valor = parseInt(valor); // Convertir el valor a un entero (número).
        
          total = document.getElementById('spTotal').innerHTML;
        
          // Aquí valido si hay un valor previo, si no hay datos, le pongo un cero "0".
          total = (total == null || total == undefined || total == "") ? 0 : total;
        
          /* Esta es la suma. */
          total = (parseInt(total) + parseInt(valor));
        
          // Colocar el resultado de la suma en el control "span".
          document.getElementById('spTotal').innerHTML = total;

      }

    </script>

    <script>
      function sumar1(valor){
        var total = 0;	
      valor = parseInt(valor); // Convertir el valor a un entero (número).

      total = document.getElementById('spTotal1').innerHTML;

      // Aquí valido si hay un valor previo, si no hay datos, le pongo un cero "0".
      total = (total == null || total == undefined || total == "") ? 0 : total;

      /* Esta es la suma. */
      total = (parseInt(total) + parseInt(valor));

      // Colocar el resultado de la suma en el control "span".
      document.getElementById('spTotal1').innerHTML = total;

      }

    </script>

    
<script>
    function sumar2(valor){
      var total = 0;	
      valor = parseInt(valor); // Convertir el valor a un entero (número).

      total = document.getElementById('spTotal2').innerHTML;

      // Aquí valido si hay un valor previo, si no hay datos, le pongo un cero "0".
      total = (total == null || total == undefined || total == "") ? 0 : total;

      /* Esta es la suma. */
      total = (parseInt(total) + parseInt(valor));

      // Colocar el resultado de la suma en el control "span".
      document.getElementById('spTotal2').innerHTML = total;

  }

</script>

</body>
</html>